Subject: bug#36858: 27.0.50; display bugs with display-fill-column-indicator-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Aug 2019 20:33:38 +0300

> Date: Thu, 8 Aug 2019 09:17:58 +0200
> From: Ergus <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> After tying this solution I proposed yesterday to add the indicator also
> for the latest line (call extend_face_to_end_of_line for a no empty line
> without \n too) I get it working perfectly fine only in the tui
> interface.
> 
> In gui it just doesn't work. But it seems that the issue is not due to
> the condition:
> 
> if (!get_next_display_element (it));
> 
> because when I add a test glyph unconditionally there; it is not printed
> in the screen, but when I add a message to stdout it is.
> 
> For sure I am missing something here, but what?
> 
> Is it possible that some optimization in the gui glue code stops
> printing glyphs OR that some later code hides the extra glyphs?

I don't think I understand what you tried well enough to answer the
question.  Can you show a patch relative to the current master?

Thanks.